Create a webhook testing inbox
curl --request POST \
--url https://api.devhelm.io/api/v1/webhook/inboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"httpResponse": {
"status": 399,
"headers": {},
"body": "<string>",
"contentType": "<string>",
"delayMs": 15000
},
"cors": true,
"retentionDays": 1825,
"maxEvents": 50000
}
'import requests
url = "https://api.devhelm.io/api/v1/webhook/inboxes"
payload = {
"name": "<string>",
"httpResponse": {
"status": 399,
"headers": {},
"body": "<string>",
"contentType": "<string>",
"delayMs": 15000
},
"cors": True,
"retentionDays": 1825,
"maxEvents": 50000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
httpResponse: {
status: 399,
headers: {},
body: JSON.stringify('<string>'),
contentType: '<string>',
delayMs: 15000
},
cors: true,
retentionDays: 1825,
maxEvents: 50000
})
};
fetch('https://api.devhelm.io/api/v1/webhook/inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": 123,
"name": "<string>",
"status": "active",
"publicToken": "<string>",
"httpUrl": "<string>",
"httpResponse": {
"status": 399,
"headers": {},
"body": "<string>",
"contentType": "<string>",
"delayMs": 15000
},
"cors": true,
"retentionDays": 123,
"maxEvents": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Webhook Testing
Create a webhook testing inbox
POST
/
api
/
v1
/
webhook
/
inboxes
Create a webhook testing inbox
Authorizations
API key (dh_live_...) or Auth0 JWT token
Body
application/json
Create a webhook testing inbox
Human-readable name for this inbox
Maximum string length:
200Inbox lifecycle (default: active)
Available options:
active, disabled Partial mock reply returned to the sender after ingest
Show child attributes
Show child attributes
Allow browser callers on other origins to hit the ingest URL (default: true)
Days events are kept. Omitted uses the testing plan. Cannot exceed the plan
Required range:
1 <= x <= 3650Max stored events before ingest drops the oldest (default: 10000)
Required range:
1 <= x <= 100000Response
Created
Webhook testing inbox
Show child attributes
Show child attributes